Kuidas saada ipywidgets Jupyter Labis tööle?

How Get Ipywidgets Working Jupyter Lab



Lahendus:

JupyterLab eelistab nüüd mudelit, kus suvalist JavaScripti ei tohi enam lahtri väljundisse manustada, see tähendab, kui palju interaktiivseid Jupyteri sülearvuti mooduleid töötas. Nüüd paluvad nad interaktiivsusega moodulitel luua JupyterLabi laienduse. IPyWidgetsil on laiendus, mille saab aktiveerida, käivitades selle oma käsurealt (mis eeldab, et teil on juba NodeJS installitud):

jupyter labextension install @jupyter-widgets/jupyterlab-manager 

Mul oli sama pbm ja proovisin seda lahendust (loodetavasti aitab see teisi):



Thejupyter labextension install @jupyter-widgets/jupyterlab-manager andis minu puhul sellise vea:



> /Users/user/.nvm/versions/node/v8.7.0/bin/npm pack @jupyter-widgets/jupyterlab-manager jupyter-widgets-jupyterlab-manager-0.35.0.tgz Viga, kasutage --debug output: ValueError: '@jupyter-widgets/ [email protected]' ei ühildu praeguse JupyterLabi konfliktsete sõltuvustega: JupyterLab Extension Package> = 0.15,4-0 = 0.16.0-0 = 1.1.4-0 = 2.0. 0-0 = 0,15,4-0 = 0,16,0-0 = 0,15,4-0 = 0,16,0-0<0.17.0-0 @jupyterlab/notebook  

Seejärel tegin 0.35 asemel eelmise versiooni 0.34:jupyter labextension install @jupyter-widgets/ [email protected]



Tegelikult saavad selle kohaselt mõnikord meeskonnad aega viimase versiooni kaalumiseks.

ÜLES (kommentaaride järgi): saate kontrollidajupyter lab -versioon ja leidke sobivus selle versiooni ühilduvuse järgi.

Ja see töötab nüüd!



sisestage pildi kirjeldus siia


Mul oli sama probleem ja täna töötas minu jaoks käsk „puhas”, nagu siin mainitud: https://ipywidgets.readthedocs.io/en/latest/user_install.html#installing-the-jupyterlab-extension

Niisiis:

jupyter lab puhas jupyter labextension install @jupyter-widgets/jupyterlab-manager

Ja see sai minu jaoks just nüüd tööle.